@charset "utf-8";

/********** 全体 **********/

body {
	margin: 0;
	padding: 0;
}

.url {
	word-break:break-all;
}

/********** メディア表示 **********/

.embeddedimage {
	max-width: 100%;
	max-height: 240px;
	width: auto;
	height: auto;
	border: 1px solid #FFFFFF;
	padding: 0.3em;
}

@media all and (max-width: 600px) {
	.embeddedmovie {
		max-width: 100%;
		height: auto;
	}
}

/********** 投稿エリア **********/

.postform {
	margin: 0;
	padding: 1em;
}
.postform p {
	margin: 0;
}

/* 入力エリア */
textarea.tegalogpost {
	border: 1px #4D6381 solid;
	border-radius: 0.3em;
	background-color: white;
	padding: 0.5em;
	font-size: 0.9rem;
	box-sizing: border-box;
	width: 100%;
	height: 4.3em;
	overflow-wrap: break-word;
	overflow: auto;
	margin-bottom: 0.25em;
}

/* プレースホルダー */
textarea.tegalogpost:placeholder-shown {  }
textarea.tegalogpost:focus:placeholder-shown {  }
textarea.tegalogpost:-ms-input-placeholder {  }

.line-control {
	margin: 0.25em 0;
}

/* 投稿ボタン */
.postbutton {
	background: #4D6381;
	color: #FFFFFF;
	font-size: 1rem;
	border-radius: 0.3em;
	padding: 0.25em 0.75em;
	font-weight: bold;
	border: 1px solid #4D6381;
	text-decoration: none;
	display: inline-block;
}

.postbutton:hover {
	background-color: #E8F1F1;
	color: #4D6381;
	cursor: pointer;
}

/********** ヘッダー **********/

header {
}

/********** レイアウト **********/

/* メイン領域 */

.mainarea {
	padding: 0;
	margin: 0;
	background-color: #E8F1F1;
}

.situation {
	margin: 1em;
	font-weight: bold;
	background: #FFFFFF;
}

.situation:empty { display: none; }

/* 2カラム */

@media all and (min-width: 800px) {

.contents {
	display: flex;
	flex-direction: row;
	border-collapse: separate;
	border-spacing: 1em 0;
	margin: 0;
	padding: 0;
	width: 100%;
}

.contents .mainarea {
	width: 75%;
	vertical-align: top;
	margin: 0;
}

.contents .subarea {
	width: 25%;
	vertical-align: top;
}

}

/********** 単独記事 **********/

.onelogbox {
	margin: 0;
	padding: 0;
	display: table;
	width: 100%;
	box-sizing: border-box;
}

.onelog {
	margin: 0;
	padding: 0;
	display: table-cell;
	vertical-align: top;
	width: 100%;
}

.oneloginfo {
	margin: 0.8em 0;
	padding: 0 1.2em;
	font-size: 125%;
	font-weight: bold;
	color: #4D6381;
	border-bottom: 2px solid #4D6381;
}

.postdate {
	font-size: small;
	text-align: right;
}

.postdate a:link, .postdate a:visited {
	color: #5D5D5D;
	padding: 0.5em 0;
	border: none;
}

.postdate a:active, .postdate a:hover {
	color:#000000;
}

.onelogcontent {
	margin: 0;
	padding: 0 2em;
}

.comment {
}

.comment a.imagelink {
	text-decoration: none;
	border: none;
}

.comment .url {
	color: #000000;
	text-decoration: none;
	border-bottom: 1px solid #000000;
}
.comment .url:hover {
	border-bottom: none;
}

.onelog .taglink {
	color: #4D6381;
	text-decoration: none;
	border: none;
	word-break:break-all;
}

.onelog .taglink:hover {
	color: #5D5D5D;
}

/* 続きを読む */

.readmorebutton {
	display: inline-block;
	padding: 1px 0.5em;
	margin: 0 1px;
	border: 1px solid #4D6381;
}

.readmorebutton:link, .readmorebutton:visited {
	background-color: transparent;
	color: #000000;
	text-decoration: none;
	border: 1px solid #4D6381;
}

.readmorebutton:hover {
	background-color: rgba(255,255,255,0.8);
	text-decoration: none;
	border: 1px solid #4D6381;
}

/********** ページ遷移 **********/

.pagenavi {
	margin: 0;
	padding: 0;
	text-align: center;
	border: none;
}
.pagenavi p {
	margin: 0;
	text-align: center;
}

.pagelinks {
	margin: 0 0.5em 1em;
}

.pagelinks a:link {
	font-weight: bold;
	border: none;
	text-decoration: none;
}

p.pagenums {
	margin: 1em 0.5em;
}

.pagenums a.pagenumlink {
	margin: 0px 2px 0px 2px;
	padding: 0.2em 0.5em;
	font-size: 1em;
	text-decoration: none;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
}

a.pagenumhere {
	text-decoration: none;
	background-color: #FFFFFF;
	color: #000000;
}

a.pagenumlink:hover {
	text-decoration: none;
	background-color: #FFFFFF;
	color: #000000;
}

.pagehome {
	font-weight: bold;
}

.pagehome a:link {
	border: none;
	text-decoration: none;
}

/********** サブ領域 **********/

.subarea {
	margin: 2em 1em 0;
	padding: 0;
}

/* カテゴリ */
.categoryarea {
	margin: 0;
	padding: 1em;
	border: 1px solid #4D6381;
	border-top-left-radius: 0.3em;
	border-top-right-radius: 0.3em;
	border-bottom: none;
}

.categoryarea .cornertitle {
	font-weight: bold;
	color: #4D6381;
	margin: 0 0 0.5em 0;
	border-bottom: 1px dashed #5D5D5D;
}

.categoryarea select{
	background: transparent;
	color: #000000;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0 0.5em 0;
	padding: 0 0.3em;
}

.categoryarea select]:focus, .categoryarea select:hover {
	background-color: #FFFFFF;
	outline: none;
}

.categoryarea input[type="submit"] {
	background: transparent;
	color: #000000;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0;
	padding: 0 0.3em;
}
.categoryarea input[type="submit"]:hover {
	background-color: #4D6381;
	color: #FFFFFF;
	cursor: pointer;
}

/* ハッシュタグ */
.hashtaglistarea {
	margin: 0;
	padding: 1em;
	border-left: 1px solid #4D6381;
	border-right: 1px solid #4D6381;
}

.hashtaglistarea .cornertitle {
	font-weight: bold;
	color: #4D6381;
	margin: 0 0 0.5em 0;
	border-bottom: 1px dashed #5D5D5D;
}

.hashtaglist {
	margin: 0.5em;
	padding: 0;
	list-style-type: none;
}
.hashtaglist li {
	display: inline-block;
}

.hashtaglist .num {
	font-size: 0.9em;
	margin-left: 0.25em;
}

/* アーカイブ */

.datelistarea {
	margin: 0;
	padding: 1em;
	border-left: 1px solid #4D6381;
	border-right: 1px solid #4D6381;
}

.datelistarea .cornertitle {
	font-weight: bold;
	color: #4D6381;
	margin: 0 0 0.5em 0;
	border-bottom: 1px dashed #5D5D5D;
}

.datelimitbox {
	margin: 0.5em;
}

.datelimitboxoptions {
	display: none;
	font-size: 0.9em;
}

.datelimitbox select{
	background: transparent;
	color: #000000;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0 0.5em 0 0;
	padding: 0 0.3em;
}

.datelimitbox select]:focus, .datelimitbox select:hover {
	background-color: #FFFFFF;
	outline: none;
}

.datelimitbox input[type="submit"] {
	background: transparent;
	color: #000000;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0;
	padding: 0 0.3em;
}

.datelimitbox input[type="submit"]:hover {
	background-color: #4D6381;
	color: #FFFFFF;
	cursor: pointer;
}

/* 検索窓 */

.searcharea {
	margin: 0;
	padding: 1em;
	border: 1px solid #4D6381;
	border-top-left-radius: 0.3em;
	border-top-right-radius: 0.3em;
	border-bottom: none;
}

.searcharea .cornertitle {
	font-weight: bold;
	color: #4D6381;
	margin: 0 0 0.5em 0;
	border-bottom: 1px dashed #5D5D5D;
}

.searcharea form {
	margin: 0;
	padding: 0 0 0 0.5em;
}

.searcharea form input {
	background: transparent;
	color: #000000;
	border-radius: 0.3em;
	border: 1px solid #4D6381;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0;
	padding: 0 0.3em;
}

.searcharea form input[type="text"] {
	margin: 0 0.5em 0 0;
	padding: 0;
}

.searcharea form input[type="text"]:focus, .searcharea form input[type="text"]:hover {
	background-color: #FFFFFF;
	outline: none;
}

.searcharea form input[type="submit"]:hover {
	background-color: #4D6381;
	color: #FFFFFF;
	cursor: pointer;
}

.searchtarget {
	display: none;
	margin: 0;
}

.searchoptions {
	margin: 0;
	padding: 0 0 1.5em 0;
	border-bottom: 1px dashed #5D5D5D;
}

.solabel {
	display: none;
	margin: 0;
	padding: 0;
}

.searchoptions select{
	background: transparent;
	color: #000000;
	border: 1px solid #4D6381;
	border-radius: 0.3em;
	text-decoration: none;
	display: inline-block;
	outline: none;
	height: 2em;
	margin: 0.5em 0;
	padding: 0 0.3em;
}

.searchoptions select]:focus, .searchoptions select:hover {
	background-color: #FFFFFF;
	outline: none;
}


/* 汎用ボックス */

.subbox {
	margin: 0;
	padding: 0 1em 1em;
	font-size: 0.9em;
	border: 1px solid #4D6381;
	border-bottom-left-radius: 0.3em;
	border-bottom-right-radius: 0.3em;
	border-top: none;
	text-align: right;
}

/********** フッター **********/

footer.note {
	background-color: #E8F1F1;
	color: #5D5D5D;
	margin: 1em 0 0 0;
	padding: 0 0 1em;
}

/* 著作権表示のデザイン */
.poweredby {
	margin: 0;
	font-size: 0.8em;
	text-align: right;
}
.poweredby a:link, .poweredby a:visited {
	color: #E8F1F1;
	text-decoration: none;
	border: none;
}
.poweredby a:active, .poweredby a:hover {
	color: #E8F1F1;
	text-decoration: underline;
	border: none;
}

/********** てがろぐ独自装飾 **********/

/* B:太字(Bold) */
.decorationB {
	font-weight: bold;
}

/* D:削除(Delete) */
.decorationD {
	text-decoration-line: line-through;
	text-decoration-color: #000000;
}

/* E:強調(Emphasis) @mark.caution */
.decorationE {
	background: none;
	color: #F54266;
	font-weight: normal;
}

/* I:斜体(Italic) */
.decorationI {
	font-style: italic;
}

/* Q:引用(Quote) */
.decorationQ {
	border-left: 5px double #4D6381;
	margin: 1em 0.3em 1em 1em;
	padding: 0.75em 0.5em;
	background-color: #FFFFFF;
	font-size: 0.95em;
	display: block;
}
.decorationQ::before,
.decorationQ::after {
	content: '';
}
.decorationQ + br {
	display: none;
}

/* S:小文字(Small) @small */
.decorationS {
	font-size: small;
}

/* T:極小文字(Tiny) */
.decorationT {
	font-size: 0.6em;
}

/* U:下線(Underline) @mark.marker */
.decorationU {
	background: linear-gradient(transparent 60%, #EDC242 60%);
	text-decoration: none;
}

/********** 文字装飾用ボタン **********/
/* 共通 */
.decoBtns {
	display: inline-block;
	margin-top: 0.5em;
}
.decoBtns input {
	min-width: 32px;
	min-height: 28px;
	margin:1px;
	background-color:#FFFFFF;
	border: 1px solid #4D6381;
	cursor: pointer;
	border-radius: 3px;
	font-size: 14px;
	vertical-align: middle;
}
.decoBtns input:hover{
	background-color:tranparent;
}

/* 太字  :B */
.decoBtnB {
	font-weight: bold;
}
/* 取消線:D */
.decoBtnD {
	text-decoration: line-through;
	text-decoration-style: solid 2px #000000;
}
/* 強調  :E */
.decoBtnE {
	font-weight: bold;
	color: #F54266;
}
/* 斜体  :I */
.decoBtnI {
	font-style: italic;
}
/* 引用  :Q */
.decoBtnQ {  }
/* 小さめ:S */
.decoBtnS {  }
/* 極小  :T */
.decoBtnT {
	font-size: 11px !important;
}
/* 下線  :U */
.decoBtnU {
	text-decoration: underline;
	text-decoration-color: #F54266;
}
/* 文字色:C */
.decoBtnC {
	color: #F54266;
}
/* 背景色:M */
.decoBtnM {
	background-color: #F54266;
}

@media all and (min-width: 800px) {
	.decoBtns { margin-top: 0; }
}

